"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateStaticNodeCommand = void 0;
const node_assert_1 = require("node:assert");
class CreateStaticNodeCommand {
    constructor(id) {
        this.id = id;
    }
    validate() {
        throw new Error('Method not implemented.');
    }
    static create(id) {
        if (!id) {
            throw new node_assert_1.AssertionError({
                message: 'id is required for CreateStaticNodeCommand, skipping not processing message'
            });
        }
        return new CreateStaticNodeCommand(id);
    }
    getNodeId() {
        return this.id;
    }
}
exports.CreateStaticNodeCommand = CreateStaticNodeCommand;
//# sourceMappingURL=CreateStaticNodeCommand.js.map