"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const SshExecutor_1 = require("../SshExecutor");
const sshClient = {
    on: jest.fn(),
    sftp: jest.fn(),
    exec: jest.fn()
};
jest.mock('ssh2', () => {
    return {
        Client: jest.fn().mockImplementation(() => {
            return {
                connect: jest.fn().mockReturnValue(sshClient)
            };
        })
    };
});
describe('Ssh executor test cases', () => {
    const sshExecutor = new SshExecutor_1.SshExecutor({}, 1);
    it('should be defined', () => {
        expect(sshExecutor).toBeDefined();
    });
});
//# sourceMappingURL=SshExecutor.test.js.map