"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserDataAdapterFactory = void 0;
const microservice_1 = require("@jfrog-pipelines/microservice");
const ApiUserDataAdapter_1 = require("./ApiUserDataAdapter");
class UserDataAdapterFactory {
    static create(adapterType = microservice_1.AclAdapterDi.api) {
        if (adapterType === microservice_1.AclAdapterDi.api) {
            return new ApiUserDataAdapter_1.ApiUserDataAdapter();
        }
        throw new Error('Invalid Type provided');
    }
}
exports.UserDataAdapterFactory = UserDataAdapterFactory;
//# sourceMappingURL=UserDataAdapterFactory.js.map